Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class JcrQueryResult.SingleSelectorQueryResultRowIterator

    java.lang.Object
      org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator
          org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRowIterator

All Implemented Interfaces:
  Iterator, RowIterator, RangeIterator

Direct Known Subclasses:
  XPathQueryResult.XPathQueryResultRowIterator

Enclosing class:
  JcrQueryResult

    @NotThreadSafe
    protected static class JcrQueryResult.SingleSelectorQueryResultRowIterator

extends JcrQueryResult.QueryResultRowIterator

The `RowIterator` implementation returned by the `JcrQueryResult`.

See Also:
  `JcrQueryResult.getRows()`

Field Summary
`protected int` | `locationIndex`
`protected int` | `scoreIndex`

Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator
`columnNames, columns, context, query`

Constructor Summary
`protected` | `JcrQueryResult.SingleSelectorQueryResultRowIterator(JcrQueryContext context, String query, QueryResults results, Iterator<Object[]> tuples, long numRows)`

Method Summary
`protected Row` | `createRow(Node node, Object[] tuple)`
`protected Row` | `getNextRow(Object[] tuple)`

Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator
`getPosition, getPropertyNameForColumnName, getSize, hasNext, hasSelector, jcrDouble, jcrLong, jcrName, jcrName, jcrPath, jcrString, next, nextRow, remove, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locationIndex

    protected final int locationIndex

### scoreIndex

    protected final int scoreIndex

Constructor Detail

### JcrQueryResult.SingleSelectorQueryResultRowIterator

    protected JcrQueryResult.SingleSelectorQueryResultRowIterator(JcrQueryContext context,
                                                                  String query,
                                                                  QueryResults results,
                                                                  Iterator<Object[]> tuples,
                                                                  long numRows)

Method Detail

### getNextRow

    protected Row getNextRow(Object[] tuple)
                      throws RepositoryException

  Overrides:
    `getNextRow` in class `JcrQueryResult.QueryResultRowIterator`
  Throws:
    `RepositoryException`

### createRow

    protected Row createRow(Node node,
                            Object[] tuple)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.